%define realname   Padre
%define version    0.29
%define release    %mkrel 4

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Perl Application Development and Refactoring Environment
Source:     http://search.cpan.org/CPAN/authors/id/S/SZ/SZABGAB/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRequires: perl-devel
BuildRequires: perl(Module::Build) 
BuildRequires: perl(Module::Install) 
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Which)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NeedsDisplay)
BuildRequires: perl(Test::NoWarnings)
Requires:      gettext
Requires:      perl(Class::Adapter::Builder)
Requires:      perl(Class::Accessor)
Requires:      perl(Class::Unload)
Requires:      perl(Class::XSAccessor::Array)
Requires:      perl(DBD::SQLite)
Requires:      perl(Devel::Dumpvar)
Requires:      perl(Encode)
Requires:      perl(File::Copy::Recursive)
Requires:      perl(File::Find::Rule)
Requires:      perl(File::HomeDir)
Requires:      perl(File::Which)
Requires:      perl(File::pushd)
Requires:      perl(IPC::Cmd)
Requires:      perl(IPC::Run3)
Requires:      perl(Module::CoreList)
Requires:      perl(Module::Refresh)
Requires:      perl(Module::Starter)
Requires:      perl(PAR)
Requires:      perl-PathTools
Requires:      perl(Probe::Perl)
Requires:      perl(Text::FindIndent)
Requires:      perl(Thread::Queue)
Requires:      perl(Wx::Perl::ProcessStream)
Requires:      perl(threads)
Requires:      perl(threads::shared)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}
Obsoletes:  perl-Wx-Perl-Dialog

%description
Padre - Perl Application Development and Refactoring Environment

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
#%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/padre
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Mar 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.29-4mdv2009.1
+ Revision: 361078
- bumping mkrel
- removing abusive dependency

* Wed Mar 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-3mdv2009.1
+ Revision: 361029
- fix dependencies

* Tue Mar 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.29-2mdv2009.1
+ Revision: 356505
- adding missing prereqs

* Fri Mar 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.29-1mdv2009.1
+ Revision: 354584
- update to new version 0.29

* Fri Mar 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-5mdv2009.1
+ Revision: 354527
- fixed wrong requirement

* Wed Mar 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-4mdv2009.1
+ Revision: 353766
- adding missing prereqs

* Fri Mar 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-3mdv2009.1
+ Revision: 349747
- bumping mkrel
- adding obsolete tag

* Thu Mar 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-2mdv2009.1
+ Revision: 349074
- bumping mkrel
- wx::perl::dialog now part of padre

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 348831
- update to new version 0.28

* Wed Feb 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.27-1mdv2009.1
+ Revision: 339334
- update to new version 0.27
- update to 0.26

* Mon Jan 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.25-1mdv2009.1
+ Revision: 328613
- update to 0.25

* Tue Dec 16 2008 Jérôme Quelin <jquelin@mandriva.org> 0.21-1mdv2009.1
+ Revision: 314782
- upgrade to 0.21

* Tue Nov 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.18-1mdv2009.1
+ Revision: 306721
- update to new version 0.18

* Tue Nov 11 2008 Jérôme Quelin <jquelin@mandriva.org> 0.16-2mdv2009.1
+ Revision: 302307
- yet another missing prereq
- add missing prereq Wx::Perl::Dialog

* Mon Nov 10 2008 Jérôme Quelin <jquelin@mandriva.org> 0.16-1mdv2009.1
+ Revision: 301801
- update to new version 0.16

* Mon Nov 03 2008 Jérôme Quelin <jquelin@mandriva.org> 0.15-1mdv2009.1
+ Revision: 299567
- update to new version 0.15

* Wed Oct 29 2008 Jérôme Quelin <jquelin@mandriva.org> 0.14-1mdv2009.1
+ Revision: 298553
- updated to 0.14

* Thu Oct 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-1mdv2009.1
+ Revision: 296843
- New version 0.12

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-2mdv2009.1
+ Revision: 296824
- requires PAR

* Mon Sep 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.10-1mdv2009.1
+ Revision: 286966
- Update to Version 0.10

* Sat Sep 06 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-1mdv2009.0
+ Revision: 282008
- New release 0.07

* Mon Sep 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-3mdv2009.0
+ Revision: 278457
- Fix Requires

* Mon Sep 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-2mdv2009.0
+ Revision: 278333
- Add some requires

* Sun Aug 31 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-1mdv2009.0
+ Revision: 278051
- Update to 0.06
- import perl-Padre


* Wed Aug 27 2008 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist

